Close and continue shopping

To login and view your previous orders, please select the MEATER store you used to purchase your product:

iOS Smart Device

MEATER requires that your iOS device be running at least iOS 10 in order to download and run the MEATER app.

  1. Please make sure Bluetooth is enabled.
  2. Make sure you are using the latest version of the app.
  3. iOS 10 and later
  4. Requires Bluetooth 4.0 (BLE) - The iPad 2 is a unique case. Although it supports iOS 10 it does not have the required support for Bluetooth 4.0. iPad 2 devices can be used to monitor a cook over MEATER Link but are not able to connect directly to the MEATER probe over Bluetooth.


Do you need more help?

Frequently Asked Questions